echo Building GMP

del /q/f/s *.obj *.dll *.exe *.lib > nul 2>&1

cl /MD gen-fac_ui.c
gen-fac_ui 64 0 > mpz\fac_ui.h
cl /MD gen-fib.c
gen-fib header 64 0 > fib_table.h
gen-fib table 64 0 > mpn\fib_table.c
cl /MD gen-bases.c
gen-bases header 64 0 > mp_bases.h
gen-bases table 64 0 > mpn\mp_bases.c
cl /MD gen-psqr.c
gen-psqr 64 0 > mpn\perfsqr.h

echo Making all assembler in mpn/skia64
cd mpn/skia64
 ias addmul_1.asm
 ias add_n.asm
 ias copyd.asm
 ias copyi.asm
 ias gcd_1.asm
 ias invert_limb.asm
 ias lshift.asm
 ias mode1o.asm
 ias mul_1.asm
 ias popcount.asm
 ias rshift.asm
 ias sub_n.asm
move /y *.obj ..
cd ..
xcopy /q /y /r /d generic\*.c

echo Making all in mpn
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_fib_table -c fib_table.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mp_bases -c mp_bases.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_add -c add.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_add_1 -c add_1.c
rem cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_add_n -c add_n.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_sub -c sub.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_sub_1 -c sub_1.c
rem cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_sub_n -c sub_n.c
rem cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mul_1 -c mul_1.c
rem cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_addmul_1 -c addmul_1.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_submul_1 -c submul_1.c
rem cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_lshift -c lshift.c
rem cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_rshift -c rshift.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_dive_1 -c dive_1.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_diveby3 -c diveby3.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_divis -c divis.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_divrem -c divrem.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_divrem_1 -c divrem_1.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_divrem_2 -c divrem_2.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_fib2_ui -c fib2_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mod_1 -c mod_1.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mod_34lsub1 -c mod_34lsub1.c
rem cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mode1o -c mode1o.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_dump -c dump.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mul -c mul.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mul_fft -c mul_fft.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mul_n -c mul_n.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mul_basecase -c mul_basecase.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_sqr_basecase -c sqr_basecase.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_random -c random.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_random2 -c random2.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_pow_1 -c pow_1.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_rootrem -c rootrem.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_sqrtrem -c sqrtrem.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_get_str -c get_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_set_str -c set_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_scan0 -c scan0.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_scan1 -c scan1.c
rem cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_popcount /Fopopcount -c popham.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_hamdist /Fohamdist -c popham.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_cmp -c cmp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_perfsqr -c perfsqr.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_bdivmod -c bdivmod.c
rem cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_gcd_1 -c gcd_1.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_gcd -c gcd.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_gcdext -c gcdext.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_tdiv_qr -c tdiv_qr.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_dc_divrem_n -c dc_divrem_n.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_sb_divrem_mn -c sb_divrem_mn.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_jacbase -c jacbase.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_get_d -c get_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mullow_n -c mullow_n.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_mullow_basecase -c mullow_basecase.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -DOPERATION_addsub_n -c addsub_n.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c pre_divrem_1.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c pre_mod_1.c

rem ar cq libmpn.a fib_table.obj mp_bases.obj add.obj add_1.obj add_n.obj sub.obj sub_1.obj sub_n.obj mul_1.obj addmul_1.obj submul_1.obj lshift.obj rshift.obj dive_1.obj diveby3.obj divis.obj divrem.obj divrem_1.obj divrem_2.obj fib2_ui.obj mod_1.obj mod_34lsub1.obj mode1o.obj dump.obj mul.obj mul_fft.obj mul_n.obj mul_basecase.obj sqr_basecase.obj random.obj random2.obj pow_1.obj rootrem.obj sqrtrem.obj get_str.obj set_str.obj scan0.obj scan1.obj popcount.obj hamdist.obj cmp.obj perfsqr.obj bdivmod.obj gcd_1.obj gcd.obj gcdext.obj tdiv_qr.obj dc_divrem_n.obj sb_divrem_mn.obj jacbase.obj get_d.obj mullow_n.obj mullow_basecase.obj umul.obj udiv.obj copyi.obj copyd.obj addlsh1_n.obj rsh1add_n.obj addsub_n.obj
cd ..

cd mpz
echo Making all in mpz
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c add.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c add_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c abs.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c aorsmul.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c aorsmul_i.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c and.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c array_init.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c bin_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c bin_uiui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cdiv_q.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cdiv_q_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cdiv_qr.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cdiv_qr_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cdiv_r.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cdiv_r_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cdiv_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cfdiv_q_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cfdiv_r_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c clear.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c clrbit.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmpabs.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmpabs_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmpabs_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c com.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c combit.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cong.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cong_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cong_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c divexact.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c divegcd.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c dive_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c divis.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c divis_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c divis_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c dump.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c export.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fac_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fdiv_q.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fdiv_q_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fdiv_qr.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fdiv_qr_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fdiv_r.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fdiv_r_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fdiv_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fib_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fib2_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_sint.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_slong.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_sshort.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_uint.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_ulong.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_ushort.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c gcd.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c gcd_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c gcdext.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_d_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c getlimbn.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c hamdist.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c import.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c init.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c init2.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c inp_raw.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c inp_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c invert.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c ior.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c iset.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c iset_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c iset_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c iset_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c iset_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c jacobi.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c kronsz.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c kronuz.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c kronzs.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c kronzu.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c lcm.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c lcm_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c lucnum_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c lucnum2_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c millerrabin.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c mod.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c mul.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c mul_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c mul_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c mul_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c n_pow_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c neg.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c nextprime.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c out_raw.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c out_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c perfpow.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c perfsqr.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c popcount.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c pow_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c powm.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c powm_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c pprime_p.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c random.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c random2.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c realloc.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c realloc2.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c remove.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c root.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c rootrem.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c rrandomb.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c scan0.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c scan1.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_f.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_q.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c setbit.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c size.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sizeinbase.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sqrt.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sqrtrem.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sub.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sub_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c swap.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c tdiv_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c tdiv_q.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c tdiv_q_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c tdiv_q_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c tdiv_qr.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c tdiv_qr_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c tdiv_r.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c tdiv_r_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c tdiv_r_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c tstbit.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c ui_pow_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c ui_sub.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c urandomb.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c urandomm.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c xor.c

rem ar cq libmpz.a add.obj add_ui.obj abs.obj aorsmul.obj aorsmul_i.obj and.obj array_init.obj bin_ui.obj bin_uiui.obj cdiv_q.obj cdiv_q_ui.obj cdiv_qr.obj cdiv_qr_ui.obj cdiv_r.obj cdiv_r_ui.obj cdiv_ui.obj cfdiv_q_2exp.obj cfdiv_r_2exp.obj clear.obj clrbit.obj cmp.obj cmp_d.obj cmp_si.obj cmp_ui.obj cmpabs.obj cmpabs_d.obj cmpabs_ui.obj com.obj combit.obj cong.obj cong_2exp.obj cong_ui.obj divexact.obj divegcd.obj dive_ui.obj divis.obj divis_ui.obj divis_2exp.obj dump.obj export.obj fac_ui.obj fdiv_q.obj fdiv_q_ui.obj fdiv_qr.obj fdiv_qr_ui.obj fdiv_r.obj fdiv_r_ui.obj fdiv_ui.obj fib_ui.obj fib2_ui.obj fits_sint.obj fits_slong.obj fits_sshort.obj fits_uint.obj fits_ulong.obj fits_ushort.obj gcd.obj gcd_ui.obj gcdext.obj get_d.obj get_d_2exp.obj get_si.obj get_str.obj get_ui.obj getlimbn.obj hamdist.obj import.obj init.obj init2.obj inp_raw.obj inp_str.obj invert.obj ior.obj iset.obj iset_d.obj iset_si.obj iset_str.obj iset_ui.obj jacobi.obj kronsz.obj kronuz.obj kronzs.obj kronzu.obj lcm.obj lcm_ui.obj lucnum_ui.obj lucnum2_ui.obj millerrabin.obj mod.obj mul.obj mul_2exp.obj mul_si.obj mul_ui.obj n_pow_ui.obj neg.obj nextprime.obj out_raw.obj out_str.obj perfpow.obj perfsqr.obj popcount.obj pow_ui.obj powm.obj powm_ui.obj pprime_p.obj random.obj random2.obj realloc.obj realloc2.obj remove.obj root.obj rootrem.obj rrandomb.obj scan0.obj scan1.obj set.obj set_d.obj set_f.obj set_q.obj set_si.obj set_str.obj set_ui.obj setbit.obj size.obj sizeinbase.obj sqrt.obj sqrtrem.obj sub.obj sub_ui.obj swap.obj tdiv_ui.obj tdiv_q.obj tdiv_q_2exp.obj tdiv_q_ui.obj tdiv_qr.obj tdiv_qr_ui.obj tdiv_r.obj tdiv_r_2exp.obj tdiv_r_ui.obj tstbit.obj ui_pow_ui.obj ui_sub.obj urandomb.obj urandomm.obj xor.obj
cd ..

cd mpq
echo Making all in mpq
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c abs.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c aors.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c canonicalize.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c clear.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c div.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c equal.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_den.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_num.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c init.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c inp_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c inv.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c md_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c mul.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c neg.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c out_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_den.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_num.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_z.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_f.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c swap.c

rem ar cq libmpq.a abs.obj aors.obj canonicalize.obj clear.obj cmp.obj cmp_si.obj cmp_ui.obj div.obj equal.obj get_d.obj get_den.obj get_num.obj get_str.obj init.obj inp_str.obj inv.obj md_2exp.obj mul.obj neg.obj out_str.obj set.obj set_den.obj set_num.obj set_si.obj set_str.obj set_ui.obj set_z.obj set_d.obj set_f.obj swap.obj
cd ..

cd mpf
echo Making all in mpf
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c init.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c init2.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_z.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_q.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c iset.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c iset_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c iset_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c iset_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c iset_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c clear.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c dump.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c size.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c eq.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c reldiff.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sqrt.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c random2.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c inp_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c out_str.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c add.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c add_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sub.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sub_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c ui_sub.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c mul.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c mul_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c div.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c div_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c cmp_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c mul_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c div_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c abs.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c neg.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_d.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_d_2exp.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_dfl_prec.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_prc.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c set_prc_raw.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_dfl_prec.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_prc.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c ui_div.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sqrt_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c pow_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c urandomb.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c swap.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_si.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c get_ui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c int_p.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c ceilfloor.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c trunc.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_sint.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_slong.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_sshort.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_uint.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_ulong.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fits_ushort.c

rem ar cq libmpf.a init.obj init2.obj set.obj set_ui.obj set_si.obj set_str.obj set_d.obj set_z.obj set_q.obj iset.obj iset_ui.obj iset_si.obj iset_str.obj iset_d.obj clear.obj get_str.obj dump.obj size.obj eq.obj reldiff.obj sqrt.obj random2.obj inp_str.obj out_str.obj add.obj add_ui.obj sub.obj sub_ui.obj ui_sub.obj mul.obj mul_ui.obj div.obj div_ui.obj cmp.obj cmp_d.obj cmp_si.obj cmp_ui.obj mul_2exp.obj div_2exp.obj abs.obj neg.obj get_d.obj get_d_2exp.obj set_dfl_prec.obj set_prc.obj set_prc_raw.obj get_dfl_prec.obj get_prc.obj ui_div.obj sqrt_ui.obj pow_ui.obj urandomb.obj swap.obj get_si.obj get_ui.obj int_p.obj ceilfloor.obj trunc.obj fits_sint.obj fits_slong.obj fits_sshort.obj fits_uint.obj fits_ulong.obj fits_ushort.obj
cd ..

cd printf
echo Making all in printf
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c asprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c asprntffuns.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP /D intmax_t=__int64 -I.. -c doprnt.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c doprntf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c doprnti.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c obprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c obvprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c obprntffuns.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c printf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c printffuns.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c snprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c snprntffuns.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sprintffuns.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c vasprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c vfprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c vprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c vsnprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c vsprintf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP /D intmax_t=__int64 -I.. -c repl-vsnprintf.c

rem ar cq libprintf.a asprintf.obj asprntffuns.obj doprnt.obj doprntf.obj doprnti.obj fprintf.obj obprintf.obj obvprintf.obj obprntffuns.obj printf.obj printffuns.obj snprintf.obj snprntffuns.obj sprintf.obj sprintffuns.obj vasprintf.obj vfprintf.obj vprintf.obj vsnprintf.obj vsprintf.obj repl-vsnprintf.obj
cd ..

cd scanf
echo Making all in scanf
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP /D intmax_t=__int64 -I.. -c doscan.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fscanf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c fscanffuns.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c scanf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sscanf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c sscanffuns.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c vfscanf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c vscanf.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -D__GMP_WITHIN_GMP -I.. -c vsscanf.c

rem ar cq libscanf.a doscan.obj fscanf.obj fscanffuns.obj scanf.obj sscanf.obj sscanffuns.obj vfscanf.obj vscanf.obj vsscanf.obj
cd ..

echo Making all in root
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c assert.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c compat.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c errno.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c extract-dbl.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c invalid.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c memory.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c mp_bpl.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c mp_clz_tab.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c mp_dv_tab.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c mp_minv_tab.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c mp_get_fns.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c mp_set_fns.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c rand.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randclr.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randdef.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randiset.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randlc2s.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randlc2x.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randmt.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randmts.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c rands.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randsd.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randsdui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randbui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c randmui.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c version.c
 cl /LD /MD /Ox /G2 -DHAVE_CONFIG_H -I. -I. -I. -D__GMP_WITHIN_GMP -c tal-reent.c

echo Linking...
cl /LD /MD /Fegmp assert.obj compat.obj errno.obj extract-dbl.obj invalid.obj memory.obj mp_bpl.obj mp_clz_tab.obj mp_dv_tab.obj mp_minv_tab.obj mp_get_fns.obj mp_set_fns.obj rand.obj randclr.obj randdef.obj randiset.obj randlc2s.obj randlc2x.obj randmt.obj randmts.obj rands.obj randsd.obj randsdui.obj randbui.obj randmui.obj version.obj tal-reent.obj mpf/init.obj mpf/init2.obj mpf/set.obj mpf/set_ui.obj mpf/set_si.obj mpf/set_str.obj mpf/set_d.obj mpf/set_z.obj mpf/iset.obj mpf/iset_ui.obj mpf/iset_si.obj mpf/iset_str.obj mpf/iset_d.obj mpf/clear.obj mpf/get_str.obj mpf/dump.obj mpf/size.obj mpf/eq.obj mpf/reldiff.obj mpf/sqrt.obj mpf/random2.obj mpf/inp_str.obj mpf/out_str.obj mpf/add.obj mpf/add_ui.obj mpf/sub.obj mpf/sub_ui.obj mpf/ui_sub.obj mpf/mul.obj mpf/mul_ui.obj mpf/div.obj mpf/div_ui.obj mpf/cmp.obj mpf/cmp_d.obj mpf/cmp_ui.obj mpf/cmp_si.obj mpf/mul_2exp.obj mpf/div_2exp.obj mpf/abs.obj mpf/neg.obj mpf/set_q.obj mpf/get_d.obj mpf/get_d_2exp.obj mpf/set_dfl_prec.obj mpf/set_prc.obj mpf/set_prc_raw.obj mpf/get_dfl_prec.obj mpf/get_prc.obj mpf/ui_div.obj mpf/sqrt_ui.obj mpf/ceilfloor.obj mpf/trunc.obj mpf/pow_ui.obj mpf/urandomb.obj mpf/swap.obj mpf/fits_sint.obj mpf/fits_slong.obj mpf/fits_sshort.obj mpf/fits_uint.obj mpf/fits_ulong.obj mpf/fits_ushort.obj mpf/get_si.obj mpf/get_ui.obj mpf/int_p.obj mpz/abs.obj mpz/add.obj mpz/add_ui.obj mpz/aorsmul.obj mpz/aorsmul_i.obj mpz/and.obj mpz/array_init.obj mpz/bin_ui.obj mpz/bin_uiui.obj mpz/cdiv_q.obj mpz/cdiv_q_ui.obj mpz/cdiv_qr.obj mpz/cdiv_qr_ui.obj mpz/cdiv_r.obj mpz/cdiv_r_ui.obj mpz/cdiv_ui.obj mpz/cfdiv_q_2exp.obj mpz/cfdiv_r_2exp.obj mpz/clear.obj mpz/clrbit.obj mpz/cmp.obj mpz/cmp_d.obj mpz/cmp_si.obj mpz/cmp_ui.obj mpz/cmpabs.obj mpz/cmpabs_d.obj mpz/cmpabs_ui.obj mpz/com.obj mpz/combit.obj mpz/cong.obj mpz/cong_2exp.obj mpz/cong_ui.obj mpz/divexact.obj mpz/divegcd.obj mpz/dive_ui.obj mpz/divis.obj mpz/divis_ui.obj mpz/divis_2exp.obj mpz/dump.obj mpz/export.obj mpz/fac_ui.obj mpz/fdiv_q.obj mpz/fdiv_q_ui.obj mpz/fdiv_qr.obj mpz/fdiv_qr_ui.obj mpz/fdiv_r.obj mpz/fdiv_r_ui.obj mpz/fdiv_ui.obj mpz/fib_ui.obj mpz/fib2_ui.obj mpz/fits_sint.obj mpz/fits_slong.obj mpz/fits_sshort.obj mpz/fits_uint.obj mpz/fits_ulong.obj mpz/fits_ushort.obj mpz/gcd.obj mpz/gcd_ui.obj mpz/gcdext.obj mpz/get_d.obj mpz/get_d_2exp.obj mpz/get_si.obj mpz/get_str.obj mpz/get_ui.obj mpz/getlimbn.obj mpz/hamdist.obj mpz/import.obj mpz/init.obj mpz/init2.obj mpz/inp_raw.obj mpz/inp_str.obj mpz/invert.obj mpz/ior.obj mpz/iset.obj mpz/iset_d.obj mpz/iset_si.obj mpz/iset_str.obj mpz/iset_ui.obj mpz/jacobi.obj mpz/kronsz.obj mpz/kronuz.obj mpz/kronzs.obj mpz/kronzu.obj mpz/lcm.obj mpz/lcm_ui.obj mpz/lucnum_ui.obj mpz/lucnum2_ui.obj mpz/millerrabin.obj mpz/mod.obj mpz/mul.obj mpz/mul_2exp.obj mpz/mul_si.obj mpz/mul_ui.obj mpz/n_pow_ui.obj mpz/neg.obj mpz/nextprime.obj mpz/out_raw.obj mpz/out_str.obj mpz/perfpow.obj mpz/perfsqr.obj mpz/popcount.obj mpz/pow_ui.obj mpz/powm.obj mpz/powm_ui.obj mpz/pprime_p.obj mpz/random.obj mpz/random2.obj mpz/realloc.obj mpz/realloc2.obj mpz/remove.obj mpz/root.obj mpz/rootrem.obj mpz/rrandomb.obj mpz/scan0.obj mpz/scan1.obj mpz/set.obj mpz/set_d.obj mpz/set_f.obj mpz/set_q.obj mpz/set_si.obj mpz/set_str.obj mpz/set_ui.obj mpz/setbit.obj mpz/size.obj mpz/sizeinbase.obj mpz/sqrt.obj mpz/sqrtrem.obj mpz/sub.obj mpz/sub_ui.obj mpz/swap.obj mpz/tdiv_ui.obj mpz/tdiv_q.obj mpz/tdiv_q_2exp.obj mpz/tdiv_q_ui.obj mpz/tdiv_qr.obj mpz/tdiv_qr_ui.obj mpz/tdiv_r.obj mpz/tdiv_r_2exp.obj mpz/tdiv_r_ui.obj mpz/tstbit.obj mpz/ui_pow_ui.obj mpz/ui_sub.obj mpz/urandomb.obj mpz/urandomm.obj mpz/xor.obj mpq/abs.obj mpq/aors.obj mpq/canonicalize.obj mpq/clear.obj mpq/cmp.obj mpq/cmp_si.obj mpq/cmp_ui.obj mpq/div.obj mpq/get_d.obj mpq/get_den.obj mpq/get_num.obj mpq/get_str.obj mpq/init.obj mpq/inp_str.obj mpq/inv.obj mpq/md_2exp.obj mpq/mul.obj mpq/neg.obj mpq/out_str.obj mpq/set.obj mpq/set_den.obj mpq/set_num.obj mpq/set_si.obj mpq/set_str.obj mpq/set_ui.obj mpq/equal.obj mpq/set_z.obj mpq/set_d.obj mpq/set_f.obj mpq/swap.obj mpn/fib_table.obj mpn/mp_bases.obj mpn/add.obj mpn/add_1.obj mpn/add_n.obj mpn/sub.obj mpn/sub_1.obj mpn/sub_n.obj mpn/mul_1.obj mpn/addmul_1.obj mpn/submul_1.obj mpn/lshift.obj mpn/rshift.obj mpn/dive_1.obj mpn/diveby3.obj mpn/divis.obj mpn/divrem.obj mpn/divrem_1.obj mpn/divrem_2.obj mpn/fib2_ui.obj mpn/mod_1.obj mpn/mod_34lsub1.obj mpn/mode1o.obj mpn/dump.obj mpn/mul.obj mpn/mul_fft.obj mpn/mul_n.obj mpn/mul_basecase.obj mpn/sqr_basecase.obj mpn/random.obj mpn/random2.obj mpn/pow_1.obj mpn/rootrem.obj mpn/sqrtrem.obj mpn/get_str.obj mpn/set_str.obj mpn/scan0.obj mpn/scan1.obj mpn/popcount.obj mpn/hamdist.obj mpn/cmp.obj mpn/perfsqr.obj mpn/bdivmod.obj mpn/gcd_1.obj mpn/gcd.obj mpn/gcdext.obj mpn/tdiv_qr.obj mpn/dc_divrem_n.obj mpn/sb_divrem_mn.obj mpn/jacbase.obj mpn/get_d.obj mpn/mullow_n.obj mpn/mullow_basecase.obj mpn/addsub_n.obj printf/asprintf.obj printf/asprntffuns.obj printf/doprnt.obj printf/doprntf.obj printf/doprnti.obj printf/fprintf.obj printf/obprintf.obj printf/obvprintf.obj printf/obprntffuns.obj printf/printf.obj printf/printffuns.obj printf/snprintf.obj printf/snprntffuns.obj printf/sprintf.obj printf/sprintffuns.obj printf/vasprintf.obj printf/vfprintf.obj printf/vprintf.obj printf/vsnprintf.obj printf/vsprintf.obj printf/repl-vsnprintf.obj scanf/doscan.obj scanf/fscanf.obj scanf/fscanffuns.obj scanf/scanf.obj scanf/sscanf.obj scanf/sscanffuns.obj scanf/vfscanf.obj scanf/vscanf.obj scanf/vsscanf.obj mpn/pre_divrem_1.obj mpn/pre_mod_1.obj mpn/copyd.obj mpn/copyi.obj mpn/invert_limb.obj bufferoverflowu.lib /link /DEF:compile_asm.def

mt /manifest gmp.dll.manifest /outputresource:gmp.dll;#2
